Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000722Taste[All Projects] DMT Toolspublic2017-11-28 15:082019-07-02 14:43
Reportermaxime 
Assigned Toellidiss 
PriorityhighSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000722:

Add position in file

Description

In DataView.aadl, for each type, please add the following property:

TASTE::Position_In_File => (91,150);

This is parsed now by Elldiss GUI to navigate in the ASN.1 editor

thanks

TagsNo tags attached.
Attached Filespng file icon position_in_file.png [^] (27,487 bytes) 2018-11-22 09:21

- Relationships

-  Notes
(0003155)
ellidiss (developer)
2017-11-28 15:43

The chosen property format is not AADL compliant.

Property definition:
Position_In_File: type record ( line : aadlinteger ; column: aadlinteger ; );

Property usage:
TASTE::Position_In_File = > [ line => 91 ; column => 150 ; ];

Of course, we will have to correct it in the TASTE Editors.

(0003399)
maxime (administrator)
2018-07-02 10:04

What is the syntax that was eventually implemented in the TASTE editors?

(0003493)
ellidiss (developer)
2018-11-22 08:42

In the TASTE editor, the implemented syntax is:
TASTE::Position_In_File = > [ line => 91 ; column => 150 ; ];

(0003495)
ellidiss (developer)
2018-11-22 08:43

The implemented syntax is:
TASTE::Position_In_File = > [ line => 91 ; column => 150 ; ];

(0003497)
maxime (administrator)
2018-11-22 09:23

It does not work. I added the property (see the screenshot). When I double click on a type on the left panel, nothing happens with the editor (it does not put the cursor at the right line - it does not give the focus to the editor at all)

(0003501)
maxime (administrator)
2018-11-22 13:02

And in addition are you sure about the syntax you provide for the definition of the property?
In taste_properties.aadl (from ocarina) the properties are rather expressed like this:

Position_In_File: record ( line : aadlinteger ; column: aadlinteger;) applies to (data);

Which one is correct?

(0003502)
ellidiss (developer)
2018-11-22 13:16

Both are correct.

In the TASTE property set, we must have:

Position_In_File: record ( line : aadlinteger ; column: aadlinteger;) applies to (data);

In the AADL model, for each data component, we must have :

TASTE::Position_In_File = > [ line => 91 ; column => 150 ; ];

(0003503)
ellidiss (developer)
2018-11-22 13:21

Sorry, I missed the point:
what we suggested at first for the property definition was wrong (no 'type' keyword and missing the 'applies to' part)

(0003504)
maxime (administrator)
2018-11-22 13:52

OK so the open point that remains is that it does not work currently in the GUI

(0003505)
ellidiss (developer)
2018-11-23 14:41

There were a merge error when porting latest changes from our trunk to the COO7 branch.

Also, in some cases the line was not shown too. Corrected now

(0003506)
ellidiss (developer)
2018-11-23 14:42

Corrected in Beta 7 for COO7
Version committed in the ESA Git repository

(0003513)
maxime (administrator)
2018-11-26 10:08

That still does not work in beta 7. The data view window does not get the focus when double clicking on a type on the left panel

(0003516)
ellidiss (developer)
2018-11-26 11:01

Can you give the exact environment used?
I update my 9.0 32 bit VM and install beta7.
I create a new project using taste-create-project.
Design an InterfaceView and a DeploymentView.
Quit TASTE.
Edit the DataView.aadl file to add a position to TASTE_Boolean.
Edit the project using taste-edit-project.
Double clicking in the tree under DataView on TASTE_Boolean, the DataView editor is opened and show the line specified in the property Position_In_File.

(0003517)
maxime (administrator)
2018-11-26 12:07

I am using the 64 bits VM with beta 7
When using a large grammar I do notice that the window scrolls to make sure that the type I click on is visible (however it can be anywhere on the screen), but the editing window does not get the focus, so the cursor is not placed on the type, and the line is not highlighted. It is therefore not showing the actual type.

(0003518)
ellidiss (developer)
2018-11-26 15:13

Ok, so in fact things work fine regarding the code.
Seems there was a misunderstanding in the specification/realization of this feature.

Regarding the highlighting, the easiest thing to add is the highlighting of the line number on the left of the text. Is it ok for you?

If yes, there is still a pending question: when should the highlighting be removed?

(0003519)
maxime (administrator)
2018-11-26 15:19

I don't particularly want the line to be highlighted.. I am only expecting the focus to be put on the line, so that the user can see it and edit from there.

When I double click on a a type, I want to see the cursor put on this type, nothing else (and therefore the focus put on the editing window)

(0003520)
ellidiss (developer)
2018-11-26 15:50

Ok, so to resume, the action is:
- double click on a type
- raise the DataView editor
- display the related ASN file
- if Position_in_file is set to [ line => 91 ; column => 15 ; ];
+ show line 91 in the editor
+ set the focus to the ASN editor
+ set cursor position to line 91 and column 15

(0003521)
ellidiss (developer)
2018-11-27 07:45

Feature added in the SVN of Ellidiss
Will be part of the next version

(0003522)
maxime (administrator)
2018-11-27 12:57

Thanks, could you please commit this new version so that we can close the ticket?


- Issue History
Date Modified Username Field Change
2017-11-28 15:08 maxime New Issue
2017-11-28 15:08 maxime Status

new => assigned

2017-11-28 15:08 maxime Assigned To

=> ttsiodras

2017-11-28 15:43 ellidiss Note Added: 0003155
2018-07-02 10:04 maxime Note Added: 0003399
2018-11-21 16:11 maxime Assigned To

ttsiodras => ellidiss

2018-11-22 08:42 ellidiss Note Added: 0003493
2018-11-22 08:43 ellidiss Note Added: 0003495
2018-11-22 08:43 ellidiss Status

assigned => resolved

2018-11-22 08:43 ellidiss Resolution

open => fixed

2018-11-22 09:21 maxime File Added: position_in_file.png
2018-11-22 09:23 maxime Note Added: 0003497
2018-11-22 09:23 maxime Status

resolved => new

2018-11-22 13:02 maxime Note Added: 0003501
2018-11-22 13:16 ellidiss Note Added: 0003502
2018-11-22 13:21 ellidiss Note Added: 0003503
2018-11-22 13:52 maxime Note Added: 0003504
2018-11-23 14:41 ellidiss Note Added: 0003505
2018-11-23 14:42 ellidiss Note Added: 0003506
2018-11-23 14:42 ellidiss Status

new => resolved

2018-11-26 10:08 maxime Note Added: 0003513
2018-11-26 10:08 maxime Status

resolved => new

2018-11-26 11:01 ellidiss Note Added: 0003516
2018-11-26 12:07 maxime Note Added: 0003517
2018-11-26 15:13 ellidiss Note Added: 0003518
2018-11-26 15:19 maxime Note Added: 0003519
2018-11-26 15:27 maxime Note View State: 0003516: public
2018-11-26 15:50 ellidiss Note Added: 0003520
2018-11-27 07:45 ellidiss Note Added: 0003521
2018-11-27 12:57 maxime Note Added: 0003522
2019-07-02 14:43 ellidiss Status

new => resolved



Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker